"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "AppModule", {
    enumerable: true,
    get: function() {
        return AppModule;
    }
});
const _common = require("@nestjs/common");
const _config = require("@nestjs/config");
const _core = require("@nestjs/core");
const _nestraven = require("nest-raven");
const _prismamodule = require("./api/prisma/prisma.module");
const _appcontroller = require("./app.controller");
const _emailmodule = require("./api/email/email.module");
const _leadsmodule = require("./api/leads/leads.module");
function _ts_decorate(decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for(var i = decorators.length - 1; i >= 0; i--)if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
}
let AppModule = class AppModule {
};
AppModule = _ts_decorate([
    (0, _common.Module)({
        imports: [
            _config.ConfigModule.forRoot(),
            _prismamodule.PrismaModule,
            _nestraven.RavenModule,
            _emailmodule.EmailModule,
            _leadsmodule.LeadsModule
        ],
        controllers: [
            _appcontroller.AppController
        ],
        providers: [
            {
                provide: _core.APP_INTERCEPTOR,
                useValue: new _nestraven.RavenInterceptor({
                    filters: [
                        {
                            type: _common.HttpException,
                            filter: (exception)=>exception.getStatus() < 500
                        }
                    ]
                })
            }
        ]
    })
], AppModule);

//# sourceMappingURL=app.module.js.map