export const EmailTemplate = {
  AUTH_MAGIC_LINK: 1,
  USER_DELETE: 5
} as const;
export type EmailTemplate = (typeof EmailTemplate)[keyof typeof EmailTemplate];

type EmailTemplateParams = {
  [EmailTemplate.AUTH_MAGIC_LINK]: {
    magicLink: string;
  };
};

export type SendEmailInput<TTemplate extends EmailTemplate = EmailTemplate> = {
  to: string | string[];
  templateId: TTemplate;
} & (TTemplate extends keyof EmailTemplateParams
  ? { params: EmailTemplateParams[TTemplate] }
  : { params?: Record<string, unknown> });
